VERSION 4.00
Begin VB.Form CashForm 
   Caption         =   "Cash Drawer Open/Close"
   ClientHeight    =   1665
   ClientLeft      =   2460
   ClientTop       =   2910
   ClientWidth     =   5370
   Height          =   2070
   Left            =   2400
   LinkTopic       =   "Form2"
   MaxButton       =   0   'False
   ScaleHeight     =   2093.143
   ScaleMode       =   0  'User
   ScaleWidth      =   5490
   Top             =   2565
   Width           =   5490
   Begin VB.TextBox GuideMsg 
      BackColor       =   &H00C0C0C0&
      BorderStyle     =   0  'None
      BeginProperty Font {0BE35203-8F91-11CE-9DE3-00AA004BB851} 
         Name            =   "Arial"
         Size            =   9
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   394
      Left            =   352
      Locked          =   -1  'True
      MultiLine       =   -1  'True
      TabIndex        =   0
      TabStop         =   0   'False
      Top             =   764
      Width           =   4710
   End
   Begin VB.TextBox DwStatus 
      BackColor       =   &H00C0C0C0&
      BeginProperty Font {0BE35203-8F91-11CE-9DE3-00AA004BB851} 
         Name            =   "Arial"
         Size            =   9
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      ForeColor       =   &H00000000&
      Height          =   330
      Left            =   2465
      Locked          =   -1  'True
      MaxLength       =   31
      TabIndex        =   4
      TabStop         =   0   'False
      Top             =   191
      Width           =   1541
   End
   Begin VB.CommandButton ExitBtn 
      Caption         =   "Close"
      BeginProperty Font {0BE35203-8F91-11CE-9DE3-00AA004BB851} 
         Name            =   "Arial"
         Size            =   9
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   298
      Left            =   3521
      TabIndex        =   3
      Top             =   1241
      Width           =   1658
   End
   Begin VB.CommandButton OpenBtn 
      Caption         =   "Check out"
      BeginProperty Font {0BE35203-8F91-11CE-9DE3-00AA004BB851} 
         Name            =   "Arial"
         Size            =   9
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   298
      Left            =   235
      TabIndex        =   1
      Top             =   1241
      Width           =   1658
   End
   Begin COCASHLib13.Cocash Cocash1 
      Left            =   2160
      Top             =   1320
      _Version        =   65536
      _ExtentX        =   1931
      _ExtentY        =   450
      _StockProps     =   0
   End
   Begin VB.Line Line1 
      BorderColor     =   &H00FFFFFF&
      X1              =   119.615
      X2              =   5400.034
      Y1              =   839.771
      Y2              =   839.771
   End
   Begin VB.Label Label4 
      Caption         =   "Cash Drawer status"
      BeginProperty Font {0BE35203-8F91-11CE-9DE3-00AA004BB851} 
         Name            =   "Arial"
         Size            =   9
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   203
      Left            =   352
      TabIndex        =   2
      Top             =   191
      Width           =   2010
   End
End
Attribute VB_Name = "CashForm"
Attribute VB_Creatable = False
Attribute VB_Exposed = False

Option Explicit

Private Sub Cocash1_StatusUpdateEvent(ByVal Data As Long)
'Check drawer status
    If (Data = 1) Then
        GuideMsg.Text = "Cash Drawer is opened."
        DwStatus.Text = "Open"
    Else
        GuideMsg.Text = "Cash Drawer is closed."
        DwStatus.Text = "Close"
    End If
End Sub

Private Sub ExitBtn_Click()
' Close form
    CashForm.Hide
    Unload CashForm
End Sub

Private Sub Form_Load()
'Opening Transaction
    If (Cocash1.Open("Unit1") <> OPOS_SUCCESS) Then
        GuideMsg.Text = "Cash Drawer can't use."
        OpenBtn.Visible = False
    ElseIf (Cocash1.Claim(1000) <> OPOS_SUCCESS) Then
        GuideMsg.Text = "Cash Drawer can't Claim."
        OpenBtn.Visible = False
    Else
        Cocash1.DeviceEnabled = True
        If (Cocash1.ResultCode = OPOS_SUCCESS) Then
            GuideMsg.Text = "Select [Check out]button,then Drawer opened."
        'Check Cash Drawer status
            If (Cocash1.CapStatus = True) Then
                If (Cocash1.DrawerOpened = True) Then
                    DwStatus.Text = "Open"
                Else
                    DwStatus.Text = "Close"
                End If
            Else
                DwStatus.Text = "impossibility"
            End If
        Else
            GuideMsg.Text = "Cash Drawer can't use."
            OpenBtn.Visible = False
        End If
    End If
End Sub

Private Sub Form_Unload(Cancel As Integer)
    Cocash1.DeviceEnabled = False
    Cocash1.Release
    Cocash1.Close
End Sub


Private Sub OpenBtn_Click()
    Dim Timeout As Long
    Dim rc      As Long

'Waiting time(s)
    Timeout = 10
'Opened drawer
    Cocash1.OpenDrawer
    If (Cocash1.ResultCode = OPOS_SUCCESS) Then
        If (Cocash1.CapStatus = True) Then
            DwStatus.Text = "Open"
            DwStatus.Refresh
        End If
        GuideMsg.Text = "Cash Drawer is opened."
        GuideMsg.Refresh
    End If
    DoEvents
    rc = Cocash1.WaitForDrawerClose(Timeout * 1000, 2000, 100, 1000)
    If (rc <> OPOS_SUCCESS) Then
        GuideMsg.Text = "Error is occured at WaitForDrawerClose method."
        OpenBtn.Visible = False
    End If
End Sub


